OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.ARB.WindowPos

Contents

- Functions

Description

All raw functions from the ARB_shadow extension, see http://www.opengl.org/registry/specs/ARB/shadow.txt.

Synopsis

- glWindowPos2d :: GLdouble -> GLdouble -> IO ()
- glWindowPos2f :: GLfloat -> GLfloat -> IO ()
- glWindowPos2i :: GLint -> GLint -> IO ()
- glWindowPos2s :: GLshort -> GLshort -> IO ()
- glWindowPos2dv :: Ptr GLdouble -> IO ()
- glWindowPos2fv :: Ptr GLfloat -> IO ()
- glWindowPos2iv :: Ptr GLint -> IO ()
- glWindowPos2sv :: Ptr GLshort -> IO ()
- glWindowPos3d :: GLdouble -> GLdouble -> GLdouble -> IO ()
- glWindowPos3f :: GLfloat -> GLfloat -> GLfloat -> IO ()
- glWindowPos3i :: GLint -> GLint -> GLint -> IO ()
- glWindowPos3s :: GLshort -> GLshort -> GLshort -> IO ()
- glWindowPos3dv :: Ptr GLdouble -> IO ()
- glWindowPos3fv :: Ptr GLfloat -> IO ()
- glWindowPos3iv :: Ptr GLint -> IO ()
- glWindowPos3sv :: Ptr GLshort -> IO ()

# Functions

glWindowPos2d :: GLdouble -> GLdouble -> IO ()

glWindowPos2f :: GLfloat -> GLfloat -> IO ()

glWindowPos2i :: GLint -> GLint -> IO ()

glWindowPos2s :: GLshort -> GLshort -> IO ()

glWindowPos2dv :: Ptr GLdouble -> IO ()

glWindowPos2fv :: Ptr GLfloat -> IO ()

glWindowPos2iv :: Ptr GLint -> IO ()

glWindowPos2sv :: Ptr GLshort -> IO ()

glWindowPos3d :: GLdouble -> GLdouble -> GLdouble -> IO ()

glWindowPos3f :: GLfloat -> GLfloat -> GLfloat -> IO ()

glWindowPos3i :: GLint -> GLint -> GLint -> IO ()

glWindowPos3s :: GLshort -> GLshort -> GLshort -> IO ()

glWindowPos3dv :: Ptr GLdouble -> IO ()

glWindowPos3fv :: Ptr GLfloat -> IO ()

glWindowPos3iv :: Ptr GLint -> IO ()

glWindowPos3sv :: Ptr GLshort -> IO ()